commit: 16e5ce7866f3fb09730adc32e9df1cf56a99cb0a
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 9 09:11:31 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jan 9 09:11:31 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16e5ce78
dev-libs/libgpg-error: Simplified ebuild a bit
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
dev-libs/libgpg-error/libgpg-error-1.36.ebuild | 22 ++++++++++++----------
1 file changed, 12 insertions(+), 10 deletions(-)
diff --git a/dev-libs/libgpg-error/libgpg-error-1.36.ebuild
b/dev-libs/libgpg-error/libgpg-error-1.36.ebuild
index 1c2b8171b08..973e907a96a 100644
--- a/dev-libs/libgpg-error/libgpg-error-1.36.ebuild
+++ b/dev-libs/libgpg-error/libgpg-error-1.36.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -38,17 +38,19 @@ src_prepare() {
}
multilib_src_configure() {
- ECONF_SOURCE="${S}" econf \
- $(multilib_is_native_abi || echo --disable-languages) \
- $(use_enable common-lisp languages) \
- $(use_enable nls) \
- $(use_enable static-libs static) \
- --enable-threads \
- CC_FOR_BUILD="$(tc-getBUILD_CC)" \
- $("${S}/configure" --help | grep -- '--without-.*-prefix' | sed
-e 's/^ *\([^ ]*\) .*/\1/g')
+ local myeconfargs=(
+ $(multilib_is_native_abi || echo --disable-languages)
+ $(use_enable common-lisp languages)
+ $(use_enable nls)
+ $(use_enable static-libs static)
+ --enable-threads
+ CC_FOR_BUILD="$(tc-getBUILD_CC)"
+ $("${S}/configure" --help | grep -o -- '--without-.*-prefix')
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
}
multilib_src_install_all() {
einstalldocs
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -type f -name '*.la' -delete || die
}